function mobileCheck(){
	var winWidth=$(window).width();
	if (winWidth<=768) {
		$("#sidebar").after($("#body .pagination:first"))
	} else {
		$(".products-wrap").before($("#body .pagination:first"))
	}
}

$(document).ready(function() {
	$("input[type=radio]").crfi();
	$("select").crfs();
	$("#slider ul").bxSlider({
		controls: false,
		auto: true,
		mode: 'fade',
		preventDefaultSwipeX: false
	});
	var slider = $(".last-products .products").bxSlider({
		pager: false,
		minSlides: 1,
		maxSlides: 5,
		slideWidth: 235,
		slideMargin: 0,
		adaptiveHeight: true
	});
	$(".tabs .nav a").click(function() {
		var container = $(this).parentsUntil(".tabs").parent();
		if (!$(this).parent().hasClass("active")) {
			container.find(".nav .active").removeClass("active")
			$(this).parent().addClass("active")
			container.find(".tab-content").hide()
			$($(this).attr("href")).show();
		};
		return false;
	});
	$("#price-range").slider({
		range: true,
		min: 0,
		max: 5000,
		values: [ tz.min_price, tz.max_price ],
		slide: function( event, ui ) {
			$(".ui-slider-handle:first").html("<span>$" + ui.values[ 0 ] + "</span>");
			$(".ui-slider-handle:last").html("<span>$" + ui.values[ 1 ] + "</span>");
			$("#min-price").val(ui.values[0]);
			$("#max-price").val(ui.values[1]);
		},
		change: function( event, ui ) {
			var form = $('#sidebar form'),
					per_page = form.find('input[name=per_page]').val(),
					orderby = form.find('input[name=orderby]').val(),
					min_price = form.find('input[name=min_price]').val(),
					max_price = form.find('input[name=max_price]').val();

			window.location = window.location.pathname + '?per_page=' + per_page + '&orderby=' + orderby + '&min_price=' + min_price + '&max_price=' + max_price;
		}
	});
	$(".ui-slider-handle:first").html("<span>$" + $( "#price-range" ).slider( "values", 0 ) + "</span>");
	$(".ui-slider-handle:last").html("<span>$" + $( "#price-range" ).slider( "values", 1 ) + "</span>");
	$("#menu .trigger").click(function() {
		$(this).toggleClass("active").next().toggleClass("active")
	});

	$('#sidebar form input[type=radio]').click(function() {
		var form = $('#sidebar form'),
				per_page = form.find('input[name=per_page]:checked').val(),
				orderby = form.find('input[name=orderby]:checked').val(),
				min_price = form.find('input[name=min_price]').val(),
				max_price = form.find('input[name=max_price]').val();

		window.location = window.location.pathname + '?per_page=' + per_page + '&orderby=' + orderby + '&min_price=' + min_price + '&max_price=' + max_price;
	});

	mobileCheck();
	$(window).resize(function() {
		mobileCheck();
	});

	$('.add_to_cart_button').click(function() {
		$('.last-products .products article').css({ height: 448 });
		$('.bx-viewport').css({ height: 448 });
		$('.products article').css({ height: 450 });
	});
});
