<?php

add_action( 'customize_register' , array( 'tz_customizer' , 'register' ) );
class tz_customizer {
  public static function register ( $wp_customize ) {
    $wp_customize->add_panel( 'themezy', array(
      'priority'       => 5,
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => 'Themezy',
      'description'    => __( 'Several settings pertaining on the theme', 'jewelry' )
    ) );

    $wp_customize->add_section( 'tz_general',
       array(
          'title' => __( 'General', 'jewelry' ),
          'priority' => 35,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize some general settings for the theme.', 'jewelry' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_logo', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_logo', array(
        'label'    => __( 'Logo', 'jewelry' ),
        'section'  => 'tz_general',
        'settings' => 'tz_logo',
    ) ) );

    $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
    $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
   }
}
