<?php get_header(); ?>

  <div id="body">
    <div class="container">
      <?php
        query_posts( array( 'post_type' => 'post' ) );
        if ( have_posts() ) {
      ?>
        <div id="content" class="posts full">
          <?php while( have_posts() ) { the_post(); ?>
            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
              <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>

              <div class="meta"><?php _e( 'Posted by', 'jewelry' ); ?> <?php the_author(); ?> <?php _e( 'in', 'jewelry' ); ?> <?php the_category( ', ' ); ?></div>

              <div class="entry">
                <?php the_content(); ?>
              </div>
            </article>
          <?php } ?>

        </div>

        <div class="post-nav">
          <div class="left"><?php next_posts_link( __( 'Older', 'jewelry' ) ); ?></div>
          <div class="right"><?php previous_posts_link( __( 'Newest', 'jewelry' ) ); ?></div>
        </div>
      <?php } wp_reset_query(); ?>
      <!-- / content -->
    </div>
    <!-- / container -->
  </div>
  <!-- / body -->
<?php get_footer(); ?>
