<?php

add_action( 'add_meta_boxes', 'tz_metabox_link' );
function tz_metabox_link() {
	$meta_box = array(
		'id' => 'tz_metabox_link',
		'title' =>  __( 'Link Options', 'jewelry' ),
		'description' => __( 'These options enable you to customize your link', 'jewelry' ),
		'page' => 'tz_link',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
			array(
				'name' => __( 'Sub Titlte', 'jewelry' ),
				'desc' => __( 'Enter custom sub title for link', 'jewelry' ),
				'id' => '_tz_link_custom_subtitle',
				'type' => 'text',
				'std' => ''
			),
			array(
				'name' => __( 'Custom URL', 'jewelry' ),
				'desc' => __( 'Enter custom url for link', 'jewelry' ),
				'id' => '_tz_link_custom_url',
				'type' => 'text',
				'std' => ''
			),
			array(
				'name' => __( 'Highlight This Link', 'jewelry' ),
				'desc' => __( 'This link will have an alternate style.', 'jewelry' ),
				'id' => '_tz_link_highlight_link',
				'type' => 'checkbox',
				'std' => ''
			),
		)
	);

	tz_add_meta_box( $meta_box );
}
