<?php get_header(); ?>

  <div id="body">
    <div class="container">
      <div id="content" class="posts full">
        <?php while( have_posts() ) { the_post(); ?>
          <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <h1><?php the_title(); ?></h1>

            <div class="meta"><?php _e( 'Posted by', 'jewelry' ); ?> <?php the_author(); ?> <?php _e( 'in', 'jewelry' ); ?> <?php the_category( ', ' ); ?></div>

            <div class="entry">
              <?php
                the_content();

                wp_link_pages( array(
                  'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'jewelry' ) . '</span>',
                  'after'       => '</div>',
                  'link_before' => '<span>',
                  'link_after'  => '</span>',
                  'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'jewelry' ) . ' </span>%',
                  'separator'   => '<span class="screen-reader-text">, </span>',
                ) );
              ?>
            </div>

            <?php if ( has_tag() ) { ?>
              <div class="meta tags">
                <?php _e( 'Tags:', 'jewelry' ); ?> <?php the_tags( '', ', ', '' ); ?>
              </div>
            <?php } ?>
          </article>
        <?php } ?>

        <?php
          $comments = false;
          if ( $comments )
            comments_template( '', true );
        ?>
      </div>
    </div>
    <!-- / container -->
  </div>
  <!-- / body -->
<?php get_footer(); ?>
